<?php
	require_once( $GLOBALS["site_root"] . "/includes/pages/BackendPage.inc.php" );
	class AdminMigratePage extends BackendPage {
		protected $sSection = "";
		protected $oMigrator;

		public function __construct( $id = "AdminMigratePage" , $parent = null ) {
			parent::__construct( $id , $parent );
		}

		public function modifyGetPost( &$g , &$p ) {
			if (isset( $g["section"] )) $this->sSection = $g["section"];

			$classname = sprintf( "AdminMigrate%s" , ucfirst( $this->sSection ) );
			require_once( $GLOBALS["site_root"] . "/includes/migrate/".$classname.".inc.php" );
			$this->oMigrator = new $classname( "migrator" , $this );
			return parent::modifyGetPost( $g , $p );
		}

	}

?>
